Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service
Interface Service

All Superinterfaces:
  InterceptorProvider, java.util.Map<java.lang.String,java.lang.Object>

    public interface Service

extends java.util.Map<java.lang.String,java.lang.Object>, InterceptorProvider

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Method Summary
`DataBinding` | `getDataBinding()`
`EndpointInfo` | `getEndpointInfo(javax.xml.namespace.QName endpoint)`
`java.util.Map<javax.xml.namespace.QName,Endpoint>` | `getEndpoints()`
`java.util.concurrent.Executor` | `getExecutor()`
`Invoker` | `getInvoker()`
`javax.xml.namespace.QName` | `getName()`
`java.util.List<ServiceInfo>` | `getServiceInfos()`
`void` | `setDataBinding(DataBinding dataBinding)`
`void` | `setExecutor(java.util.concurrent.Executor executor)`
`void` | `setInvoker(Invoker invoker)`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider
`getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

Method Detail

### getName

    javax.xml.namespace.QName getName()

### getServiceInfos

    java.util.List<ServiceInfo> getServiceInfos()

### getEndpointInfo

    EndpointInfo getEndpointInfo(javax.xml.namespace.QName endpoint)

### getDataBinding

    DataBinding getDataBinding()

### setDataBinding

    void setDataBinding(DataBinding dataBinding)

### getExecutor

    java.util.concurrent.Executor getExecutor()

### setExecutor

    void setExecutor(java.util.concurrent.Executor executor)

### getInvoker

    Invoker getInvoker()

### setInvoker

    void setInvoker(Invoker invoker)

### getEndpoints

    java.util.Map<javax.xml.namespace.QName,Endpoint> getEndpoints()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF